#
# spec file for package HamFax (Version 0.6.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  audiofile qt3-devel-packages qt3-devel-tools qt3-non-mt

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel audiofile autoconf automake binutils expat fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool perl qt3 qt3-devel qt3-devel-tools qt3-non-mt rpm update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         HamFax
URL:          http://hamfax.sourceforge.net/
License:      GPL
Group:        Productivity/Hamradio/Fax
Autoreqprov:  on
Version:      0.6.2
Release:      369
Summary:      HamFax is a Qt/X11 app for transmitting and receiving facsimiles on ham radio.
Source:       hamfax-%{version}.tar.bz2
Source1:      hamfax.desktop
Patch:        hamfax-%{version}-aclocal.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
HamFax is a QT/X11 application for transmitting and receiving
facsimiles on amateur radio. It supports transmitting and receiving
with a supported sound card or an SCS PTC-II. Facsimile transmissions
are also used to broadcast weather data to ships.



Authors:
--------
    Christof Schmitt <cschmitt@users.sourceforge.net>

%debug_package
%prep
%setup -q -n hamfax
%patch

%build
%{suse_update_config -f}
autoconf
./configure --prefix=/usr \
	--with-Qt-dir=/usr/lib/qt3 \
	--with-Qt-includes=/usr/lib/qt3/include \
	--with-Qt-lib-dir=/usr/lib/qt3/%_lib \
	--with-Qt-bin-dir=/usr/lib/qt3/bin
# broken makefile won't find lrelease w/o changing PATH
export PATH=$PATH:/usr/lib/qt3/bin
make

%install
rm -rf $RPM_BUILD_ROOT
# broken makefile
export PATH=$PATH:/usr/lib/qt3/bin
make prefix=$RPM_BUILD_ROOT/usr configdir=$RPM_BUILD_ROOT/etc install
cp doc/HamFax.html .
# cleanup buildroot
rm -rf $RPM_BUILD_ROOT/usr/share/doc/hamfax
%suse_update_desktop_file -i hamfax Network HamRadio

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/share/hamfax
/usr/share/applications/hamfax.desktop
%doc COPYING CHANGELOG README TODO HamFax.html
%config /etc/hamfaxrc
/usr/bin/hamfax
/usr/share/hamfax/hamfax_de.qm

%changelog -n HamFax
* Mon Sep 01 2003 - adrian@suse.de
- add desktop file
* Tue Jun 03 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Fri May 23 2003 - coolo@suse.de
- use BuildRoot
* Mon Feb 17 2003 - sf@suse.de
- corrected aclocal.m4 to build on biarch archs
* Thu Jan 23 2003 - ro@suse.de
- removed explicit qt requires
* Tue Dec 03 2002 - jreuter@suse.de
- update to version 0.6.2
- workaround for broken Makefile in HamFax.spec
* Mon Nov 25 2002 - ro@suse.de
- build using qt3
* Mon Jun 03 2002 - ro@suse.de
- fix build on lib64
- use "qt-devel-packages" in neededforbuild
* Tue Mar 12 2002 - kukuk@suse.de
- fix filelist
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 23 2002 - ro@suse.de
- fixed link sequence
* Tue Dec 04 2001 - rstein@suse.de
- update to version 0.5.2
* Mon Nov 26 2001 - rstein@suse.de
- update to version 0.5.1
* Fri Oct 26 2001 - ro@suse.de
- removed qtext from neededforbuild (is from qt1 anyway)
* Thu Aug 30 2001 - cschmit@suse.de
- update to version 0.5
* Sat Aug 18 2001 - cschmit@suse.de
- update to version 0.4
* Mon Jul 16 2001 - cschmit@suse.de
- initial release (HamFax v0.3)
